<?php

/*

Plugin Name: Lively Chat Support
Description: The best FREE live chat for your WP website (supports images) - forget the hosted chat services.
Version: 0.9.6
Contributors: dallas22ca
Author: Dallas Read
Author URI: http://www.DallasRead.com
Donate link: Just purchase an addon!
Tags: live chat, live support, online chat, customer service
Requires at least: 3.0.1
Tested up to: 3.6
Stable tag: trunk
License: MIT

Copyright (c) 2013 Dallas Read.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

define('LIVELYCHATSUPPORT_ROOT', dirname(__FILE__));
define('LIVELYCHATSUPPORT_ADMIN', is_admin());

if (LIVELYCHATSUPPORT_ADMIN == true) {
  require_once LIVELYCHATSUPPORT_ROOT . "/admin/includes/functions.php";
  require_once LIVELYCHATSUPPORT_ROOT . "/admin/includes/install.php";
}

require_once LIVELYCHATSUPPORT_ROOT . "/chatbox/includes/functions.php";
require_once LIVELYCHATSUPPORT_ROOT . "/shared/includes/functions.php";

register_activation_hook( __FILE__,             "LivelyChatSupport_installation" );
register_deactivation_hook( __FILE__,           "LivelyChatSupport_uninstallation" );

add_action( "admin_menu",                       "register_LivelyChatSupport_admin_menu" );
add_action( "wp_footer",                        "LivelyChatSupport_frontend_footer" );
add_action( "wp_loaded",                        "LivelyChatSupport_set_cookies");

add_action( "wp_ajax_poll",                     "LivelyChatSupport_poll" );
add_action( "wp_ajax_add_convo",                "LivelyChatSupport_add_convo" );
add_action( "wp_ajax_read_convo",               "LivelyChatSupport_read_convo" );
add_action( "wp_ajax_create_message",           "LivelyChatSupport_create_message" );
add_action( "wp_ajax_subscribe",                "LivelyChatSupport_subscribe" );

add_action( "wp_ajax_nopriv_poll",              "LivelyChatSupport_poll" );
add_action( "wp_ajax_nopriv_create_message",    "LivelyChatSupport_create_message" );

?>
